PYRCC4(1)

NAME
pyrcc4 - compile Qt resource files for PyQt4 applications

SYNOPSIS
pyrcc4 [OPTIONS]... FILES

DESCRIPTION
pyrcc4 takes a Qt Resource File (.qrc) and converts it into a Python module which can be imported into a PyQt4 application. All files loaded by Qt that are prefixed with a colon will be loaded from the resources rather than the file system.

OPTIONS

-help
    Show a summary of the options.

-version
    Display the version number of pyrcc4 of the version of Qt which PyQt4 was generated for.

-py2
    Generate code for any Python v2.x version (default).

-py3
    Generate code for any Python v3.x version.

-o FILE
    Write the generated output to FILE instead of stdout.

-name FUN
    Create an external initialization function named FUN.

-threshold LEVEL
    Set the threshold above which files should be compressed.

-compress LEVEL
    Set the compression level for all input files.

-root PATH
    Search all resource referenced in a .qrc file under PATH.

-no-compress
    Do not compress the resource files at all.

AUTHOR
This manual page was written for Debian GNU/Linux by and Torsten Marek <shlomme@debian.org>, but may freely be used by others.